/* Styling for header */
header {
  font-family: "Space Grotesk", sans-serif !important;
}

/* Styling for main */
main {
  font-family: "Space Mono", monospace;
}

/* Styling for Dark Mode toggler */
.toggle-checkbox:checked {
  right: 0;
  border-color: #68d391;
}
.toggle-checkbox:checked + .toggle-label {
  background-color: #68d391;
}

/* Styling for Dark Mode text */
#dark-mode-text {
  font-family: "Space Grotesk", sans-serif !important;
}

/* Hamburger Toggler Styling */
.hamburger {
  z-index: 100;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.hamburger:hover {
  cursor: pointer;
}

.bar1,
.bar2,
.bar3 {
  background-color: orange;
  width: 30px;
  height: 3px;
  margin: 2.5px;
  border: 0.025rem solid white;
  border-radius: 2rem;
}

/* Hamburger Animation */
.barnimation1 {
  animation: move1 0.5s;
  animation-fill-mode: both;
}

.barnimation2 {
  animation: move2 0.5s;
  animation-fill-mode: both;
}

.barnimation3 {
  animation: move3 0.5s;
  animation-fill-mode: both;
}

@keyframes move1 {
  from {
    transform: rotate(0);
  }
  to {
    transform: rotate(45deg) translate(2.5px, 9px);
  }
}

@keyframes move2 {
  from {
    transform: scaleX(1);
    opacity: 1;
  }
  to {
    transform: scaleX(0);
    opacity: 0;
  }
}

@keyframes move3 {
  from {
    transform: rotate(0);
  }
  to {
    transform: rotate(-45deg) translate(2.5px, -9px);
  }
}

/* Styling for Saved Plant Container's children */
#saved-container > div {
  box-sizing: border-box;
  width: 8rem;
  height: 5rem;
  margin: 0 1.5rem;
}

#saved-container > div > img {
  box-sizing: border-box;
  padding: 0.25rem;
  border-radius: 10%;
}

/* Styling for footer */
.footer {
  height: auto;
  width: 100%;
}

.footer p {
  opacity: 0.75;
  font-family: "Space Grotesk", sans-serif !important;
  line-height: 1rem;
  text-transform: uppercase;
  letter-spacing: 0.25rem;
  font-weight: 900;
  font-size: 0.75rem;
  color: black;
  text-align: center;
}

/* Geocoder API styling */
.geoapify-autocomplete-input {
  padding: 0 31px 0 7px;
  width: calc(100%);
  outline: none;
  line-height: 36px;
  height: 36px;
  font-size: 14px;
  border: none;
  border-radius: 20rem;
}

.geoapify-autocomplete-items {
  position: absolute;
  border: 1px solid rgba(0, 0, 0, 0.3);
  border-top: none;
  background-color: #fff;

  z-index: 99;
  top: 50px;
  left: 0;
  right: 0;
}

.geoapify-autocomplete-items div {
  padding: 10px;
  cursor: pointer;
}

.geoapify-autocomplete-items div:hover {
  background-color: rgba(0, 0, 0, 0.1);
}

.geoapify-autocomplete-items .active {
  background-color: rgba(0, 0, 0, 0.1);
}

.geoapify-autocomplete-item {
  display: flex;
  flex-direction: row;
  align-items: center;
}

.geoapify-autocomplete-item .icon {
  display: inline-block;
  width: 40px;
  height: 24px;
  color: #aaa;
}

.geoapify-autocomplete-item .icon.emoji {
  color: unset;
  font-size: 20px;
  opacity: 0.9;
}

.geoapify-close-button {
  position: absolute;
  right: 20px;
  top: 32px;

  height: 5%;
  display: none;
  align-items: center;
}

.geoapify-close-button.visible {
  display: flex;
}

.geoapify-close-button {
  color: rgba(0, 0, 0, 0.4);
  cursor: pointer;
}

.geoapify-close-button:hover {
  color: rgba(0, 0, 0, 0.6);
}

.geoapify-autocomplete-items .main-part .non-verified {
  color: #ff4848;
}

.geoapify-autocomplete-items .secondary-part {
  margin-left: 10px;
  font-size: small;
  color: rgba(0, 0, 0, 0.6);
}